curl --request GET \
--url https://api.tilta.io/v1/merchants/{external_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/merchants/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/merchants/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/merchants/{external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"external_id": "<string>",
"status": "ENROLLED",
"created_at": 1582896122,
"updated_at": 1582896122,
"legal_name": "ACME Distribution GmbH",
"legal_form": "LIMITED_COMPANY",
"business_address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"contact_emails": [
"jsmith@example.com"
],
"trading_name": "ACME",
"business_identifiers": [
{
"type": "VAT_ID",
"value": "<string>",
"country": "AF"
}
],
"incorporated_at": 1582896122
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "No Entity found",
"code": "NOT_FOUND"
}Retrieve a merchant
Fetch the full profile of a single merchant using the external_id your platform assigned at creation, including current onboarding status.
status field to determine whether a merchant is ready to process financed orders. Only merchants with a status of
ENROLLED can have their orders financed through Tilta.Authorizations
Your Tilta API key, sent as Bearer <key>.
Path Parameters
Unique identifier of a merchant.
100^[a-zA-Z0-9-_]+$Response
Details for the merchant.
Unique identifier of a merchant.
100^[a-zA-Z0-9-_]+$Merchant's enrollment status
ENROLLED, INACTIVE, EXPIRED Timestamp indicating when the merchant was created (unix time in seconds).
1582896122
Timestamp indicating the last time the merchant was updated (unix time in seconds).
1582896122
Merchant's full legal name incl. the legal form if applicable.
"ACME Distribution GmbH"
Merchant's legal form, which depends on the merchant's registered country. Available legal forms cover Tilta's operating countries.
LIMITED_COMPANY, SOLE_TRADER, PARTNERSHIP, PUBLIC_COMPANY, COOPERATIVE, GOVERNMENT, OTHER Merchant's address.
Show child attributes
Show child attributes
Merchant's contact emails
10Merchant's trading name.
"ACME"
A list of business identifiers
Show child attributes
Show child attributes
Merchant's date of incorporation (unix time in seconds), meaning the date when the business of registered or started.
1582896122